Skip to main content
GET
/
deals
/
{uuid}
/
payments
List payments for a deal
curl --request GET \
  --url https://api.journeybee.io/v1/deals/{uuid}/payments \
  --header 'Authorization: Bearer <token>'
[
  {
    "uuid": "<string>",
    "payment_value": 123,
    "payment_date": "<string>",
    "approved": true,
    "payment_processing": true,
    "payment_completed": true,
    "payment_completed_date": "<string>",
    "currency": {
      "uuid": "<string>",
      "code": "<string>",
      "label": "<string>"
    },
    "created_at": "<string>"
  }
]

Authorizations

Authorization
string
header
required

API key authentication. Use "Bearer <api_key>" or "Api-Key <api_key>".

Path Parameters

uuid
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Response

200 - application/json

Default Response

uuid
string
required
payment_value
number
required

Monetary amount in WHOLE currency units (the displayed amount, e.g. 1000.00 = one thousand) — NOT minor units/cents. Do NOT divide or multiply by 100; send and show the amount as-is.

payment_date
string
required
payment_category
enum<string> | null
required
Available options:
commission,
spiff
recipient_type
enum<string> | null
required
Available options:
partnership,
user,
contact
approved
boolean | null
required
payment_processing
boolean
required
payment_completed
boolean
required
payment_completed_date
string | null
required
currency
object
required
created_at
string
required